[EF6] Error after updating to 6.8.322.0

[EF6] Error after updating to 6.8.322.0

Postby joozek » Wed 25 Sep 2013 15:04

Hi,
I recently updated to 6.8.322.0, just downloaded and installed binaries on my computer. Now when I first try to use EF it throws exception:

Code: Select all
The 'Instance' member of the Entity Framework provider type 'Devart.Data.PostgreSql.Entity.PgSqlEntityProviderServices, Devart.Data.PostgreSql.Entity, Version=6.8.322.0, Culture=neutral, PublicKeyToken=09af7300eec23701' did not return an object that inherits from 'System.Data.Entity.Core.Common.DbProviderServices'. Entity Framework providers must extend from this class and the 'Instance' member must return the Singleton instance of the provider.

  • Version 6.8.322.0 is not mentioned anywhere in my project, I reference old dlls (6.7), located in my project directory. Changing them to 6.8 doesn't help
  • I have following entries in my app.config:
    Code: Select all
    <entityFramework>
          <defaultConnectionFactory type="Hakon.Estomed.DataAccess.Base.PgSqlConnectionFactory, Estomed.DataAccess" />
          <providers>
            <provider invariantName="Devart.Data.PostgreSql" type="Devart.Data.PostgreSql.Entity.PgSqlEntityProviderServices, Devart.Data.PostgreSql.Entity, Version=6.7.287.6, Culture=neutral, PublicKeyToken=09af7300eec23701" >
            </provider>
          </providers>
        </entityFramework>
     
        <system.data>
          <DbProviderFactories>
            <remove invariant="Devart.Data.PostgreSql" />
            <add name="dotConnect for PostgreSQL" invariant="Devart.Data.PostgreSql" description="Devart dotConnect for PostgreSQL"
             type="Devart.Data.PostgreSql.PgSqlProviderFactory, Devart.Data.PostgreSql, Version=6.8.322.0, Culture=neutral, PublicKeyToken=09af7300eec23701" />
          </DbProviderFactories>
        </system.data>

    I tried changing the version in app.config (and removing them altoghter), again no success
  • I have also tried all mentioned solutions with version 6.8.333.0, to no avail
Last edited by joozek on Thu 26 Sep 2013 13:02, edited 1 time in total.
joozek
 
Posts: 4
Joined: Wed 25 Sep 2013 14:49

Re: [EF6] Error after updating to 6.8.322.0

Postby Shalex » Thu 26 Sep 2013 13:00

If you are currently using dotConnect for PostgreSQL v 6.8.322, please update your app.config correspondingly: change 6.7.287.6 to 6.8.322.6.
Shalex
Devart Team
 
Posts: 7660
Joined: Thu 14 Aug 2008 12:44

Re: [EF6] Error after updating to 6.8.322.0

Postby joozek » Mon 30 Sep 2013 08:27

Sorry for long delay.
please update your app.config correspondingly: change 6.7.287.6 to 6.8.322.6.

It didn't help unfortunately.
joozek
 
Posts: 4
Joined: Wed 25 Sep 2013 14:49

Re: [EF6] Error after updating to 6.8.322.0

Postby Shalex » Mon 30 Sep 2013 14:22

1. You are currently using dotConnect for PostgreSQL v 6.8.322, aren't you?
2. Have you updated EntityFramework.dll used in your project? The \Program Files (x86)\Devart\dotConnect\PostgreSQL\Entity\EF6\Devart.Data.PostgreSql.Entity.dll assembly is compiled with Entity Framework 6 Release Candidate 1 starting from the 6.8.322 build: http://www.devart.com/dotconnect/postgresql/revision_history.html.
Shalex
Devart Team
 
Posts: 7660
Joined: Thu 14 Aug 2008 12:44

Re: [EF6] Error after updating to 6.8.322.0

Postby joozek » Mon 07 Oct 2013 10:48

  1. I tried both 6.8.322 and 6.8.333
  2. Yes, I updated EF to 6-rc1
joozek
 
Posts: 4
Joined: Wed 25 Sep 2013 14:49

Re: [EF6] Error after updating to 6.8.322.0

Postby Shalex » Tue 08 Oct 2013 10:18

Please send us a small test project which reproduces the error.
Shalex
Devart Team
 
Posts: 7660
Joined: Thu 14 Aug 2008 12:44

Re: [EF6] Error after updating to 6.8.322.0

Postby joozek » Fri 11 Oct 2013 11:02

Nevermind, my co-worker managed to upgrade without any problems. I don't know what I was doing wrong, maybe I overlooked something.
Thanks anyway.
joozek
 
Posts: 4
Joined: Wed 25 Sep 2013 14:49


Return to dotConnect for PostgreSQL